#include<stdio.h>
int main (){

	int ulaz, izlaz, j, d, s, min1, min2, min3;

	scanf("%d", &ulaz);
	if(ulaz<100 || ulaz>999){
		printf("-1\n");
		return 1;
	}

	j=ulaz%10;
	d=(ulaz/10)%10;
	s=ulaz/100;
	
	min1=j;
	min2=d;
	min3=s;
/*	if(j>d)
		min1=d;
		min2=j;
	if(s<d)
		min   */

	if(j<=s && j<=d){
		min1=j;
		if(s<=d){
			min2=s;
			min3=d;
		}
		if(d<=s){
			min2=d;
			min3=s;
		}
	}

	if(d<=j && d<=s){
		min1=d;
		if(s<=j){
			min2=s;
			min3=j;
		}
		if(j<=s){
			min2=j;
			min3=s;
		}
	}
	if(s<=d && s<=d){
		min1=s;
		if(d<=j){
			min2=d;
			min3=j;
		}
		if(j<=d){
			min2=j;
			min3=d;
                }
	}
	printf("%d\n", min1);
	printf("%d\n", min2);
	printf("%d\n", min3);
	izlaz = min1 * 100 + min2 * 10 + min3;
	printf("%d", izlaz);

	return 0;
}
